Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.trolltech.qt.core
Enum Qt.ShortcutContext

    java.lang.Object
      java.lang.Enum<Qt.ShortcutContext>
          com.trolltech.qt.core.Qt.ShortcutContext

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable<Qt.ShortcutContext>

Enclosing interface:
  Qt

    public static enum Qt.ShortcutContext

extends java.lang.Enum<Qt.ShortcutContext>
implements QtEnumerator

For a QEvent.:Shortcut event to occur, the shortcut's key sequence must be entered by the user in a context where the shortcut is active. The possible contexts are these:

Constant | Value | Description
--- | --- | ---
`WidgetShortcut` | `0` | The shortcut is active when its parent widget has focus.
`WindowShortcut` | `1` | The shortcut is active when its parent widget is a logical subwidget of the active top-level window.
`ApplicationShortcut` | `2` | The shortcut is active when one of the applications windows are active.

Enum Constant Summary
`ApplicationShortcut` The shortcut is active when one of the applications windows are active.
`WidgetShortcut` The shortcut is active when its parent widget has focus.
`WindowShortcut` The shortcut is active when its parent widget is a logical subwidget of the active top-level window.

Method Summary
`static Qt.ShortcutContext` | `resolve(int value)`
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static Qt.ShortcutContext` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Qt.ShortcutContext[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### WidgetShortcut

    public static final Qt.ShortcutContext WidgetShortcut

  The shortcut is active when its parent widget has focus.

### WindowShortcut

    public static final Qt.ShortcutContext WindowShortcut

  The shortcut is active when its parent widget is a logical subwidget of the active top-level window.

### ApplicationShortcut

    public static final Qt.ShortcutContext ApplicationShortcut

  The shortcut is active when one of the applications windows are active.

Method Detail

### values

    public static final Qt.ShortcutContext[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(Qt.ShortcutContext c : Qt.ShortcutContext.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static Qt.ShortcutContext valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### value

    public int value()

  Description copied from interface: `QtEnumerator`
  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static Qt.ShortcutContext resolve(int value)

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD